import os, json
from werkzeug.security import generate_password_hash
from getpass import getpass

def add_user():
    username = input("Username: ")
    with open("../users") as file:
        userdata = json.load(file)
    usernames = list(userdata.keys())
    if username in usernames: 
        print("username already exists")
        return

    password = getpass()
    password = generate_password_hash(password, 'sha256')
    userdata[username] = password
    with open("../users", "w") as file:
        json.dump(userdata, file)

add_user()