const API_URL = "http://localhost:5000"
//const API_URL = "http://localhost:8710"


export function get_patient_list(jwt) {
    return fetch(`${API_URL}/ampel`, {
        method: 'GET',
        headers: {
            'Content-Type': 'application/json;charset=utf-8',
            Authorization: `Bearer: ${jwt}`
        }
    })
}

export function delete_patient(id_, jwt) {
    return fetch(`${API_URL}/ampel`, {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=utf-8',
            Authorization: `Bearer: ${jwt}`
        },
        body: JSON.stringify(id_)
    })
}

export function login(auth) {
    return fetch(`${API_URL}/login`, {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=utf-8'
        },
        body: JSON.stringify(auth)
    })
}